Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.util
Class PersistenceHelper.DefaultSmartMapReference

    java.lang.Object
      com.beasys.commerce.util.PersistenceHelper.DefaultSmartMapReference

All Implemented Interfaces
  SmartMapReference, Serializable

Enclosing class:
  PersistenceHelper

Deprecated See BEA Commerce product offering

    public static class PersistenceHelper.DefaultSmartMapReference

extends Object
implements SmartMapReference, Serializable

See Also
  Serialized Form

Constructor Summary
`PersistenceHelper.DefaultSmartMapReference()` Deprecated See BEA Commerce product offering

Method Summary
`Iterator` | `cursor()` Deprecated See BEA Commerce product offering
`Map` | `getMap()` Deprecated See BEA Commerce product offering
`void` | `setMap(Map map)` Deprecated See BEA Commerce product offering

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PersistenceHelper.DefaultSmartMapReference

    public PersistenceHelper.DefaultSmartMapReference()

  Deprecated See BEA Commerce product offering

Method Detail

### getMap

    public Map getMap()

  Deprecated See BEA Commerce product offering

  Description copied from interface: `SmartMapReference`
  Get the wrapped map

  Specified by:
    `getMap` in interface `SmartMapReference`
  Returns
    the Map contained in the wrapper

### setMap

    public void setMap(Map map)

  Deprecated See BEA Commerce product offering

  Description copied from interface: `SmartMapReference`
  Set the entire map

  Specified by:
    `setMap` in interface `SmartMapReference`
  Parameters
    `map` - the Map to wrap

### cursor

    public Iterator cursor()

  Deprecated See BEA Commerce product offering

  Description copied from interface: `SmartMapReference`
  Get an iterator of the Map's keys

  Specified by:
    `cursor` in interface `SmartMapReference`
  Returns
    an iterator of the Map's keys

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved